# Copyright (c) 2000-2007, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#


%define section free

Name: crimson
Epoch: 0
Version: 1.1.3
Release: 22
Summary: Java XML parser

Group: Development/Java
#Vendor: %{?_vendorinfo:%{_vendorinfo}}%{!?_vendorinfo:%{_vendor}}
#Distribution: %{?_distribution:%{_distribution}}%{!?_distribution:%{_vendor}}
License: Apache Software License
URL: http://xml.apache.org/%{name}
Source0: http://xml.apache.org/dist/%{name}/%{name}-%{version}-src.tar.gz
Patch0: %{name}-noapis.patch
Patch1: %{name}-javac6-build.patch
Patch2: %{name}-javac-target-15.patch
Provides: jaxp_parser_impl
BuildArch: noarch

BuildRequires: ant
BuildRequires: java-rpmbuild >= 0:1.6
BuildRequires: xml-commons-apis
Requires: xml-commons-apis
Requires(post): update-alternatives
Requires(preun): update-alternatives
Requires: jpackage-utils >= 0:1.6
BuildRequires: java-1.7.0-openjdk-devel

%description
Crimson is a Java XML parser which supports XML 1.0 via the following
APIs:
- Java API for XML Processing (JAXP) 1.1 minus the javax.xml.transform
package. JAXP is a pluggable API that allows applications to access XML
documents in a parser-independent manner. It endorses the industry
standard SAX and DOM APIs and also adds a few classes under the
javax.xml.parsers package to implement pluggability and utility methods
Note: the javax.xml.transform package hierarchy of JAXP is not
implemented by Crimson. One implementation of javax.xml.transform can be
found at Xalan Java 2.
- SAX 2.0
- SAX2 Extensions version 1.0
- DOM Level 2 Core Recommendation

%package manual
Summary: Manual for %{name}
Group: Development/Java

%description manual
Documentation for %{name}.

%package javadoc
Summary: Javadoc for %{name}
Group: Development/Java

%description javadoc
Javadoc for %{name}.

%package demo
Summary: Demo for %{name}
Group: Development/Java
Requires: %{name} = %{epoch}:%{version}-%{release}

%description demo
Demonstrations and samples for %{name}.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0

# -----------------------------------------------------------------------------

%build
export OPT_JAR_LIST=:
export CLASSPATH=$(build-classpath xml-commons-apis)
%{ant} jar javadoc

# -----------------------------------------------------------------------------

%install
# jars
%__mkdir_p %{buildroot}%{_javadir}
cp -p build/%{name}.jar \
    %{buildroot}%{_javadir}/%{name}-%{version}.jar
(
    cd %{buildroot}%{_javadir}
    for jar in *-%{version}*; do 
        %{__ln_s} -f ${jar} `echo $jar | sed "s|-%{version}||g"`
    done
)

# javadoc
%__mkdir_p %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr build/docs/api/* \
    %{buildroot}%{_javadocdir}/%{name}-%{version}
%__ln_s %{name}-%{version} \
    %{buildroot}%{_javadocdir}/%{name} # ghost symlink

# demo
%__mkdir_p %{buildroot}%{_datadir}/%{name}
cp -pr examples %{buildroot}%{_datadir}/%{name}

# jaxp_parser_impl ghost symlink
%__ln_s %{_sysconfdir}/alternatives \
    %{buildroot}%{_javadir}/jaxp_parser_impl.jar

# -----------------------------------------------------------------------------

%post
update-alternatives --install %{_javadir}/jaxp_parser_impl.jar \
    jaxp_parser_impl %{_javadir}/%{name}.jar 20

%preun
if [ "$1" -eq 0 ]; then
    update-alternatives --remove jaxp_parser_impl %{_javadir}/%{name}.jar
fi

%files
%defattr(0644,root,root,0755)
%doc ChangeLog README.txt
%{_javadir}/%{name}*.jar
%ghost %{_javadir}/jaxp_parser_impl.jar

%files manual
%defattr(0644,root,root,0755)
%doc docs/*

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}

%changelog
* Tue Jul 08 2014 Denis Silakov <denis.silakov@rosalab.ru> 0:1.1.3-22
+ Revision: 2a58b17
- Rebuild with java 7


